AnyEvent::XMPP::TestClient(3)

NAME
AnyEvent::XMPP::TestClient - XMPP Test Client for tests

SYNOPSIS

DESCRIPTION
This module is a helper module to ease the task of testing. If you want to run the developer test suite you have to set the environment variable "NET_XMPP2_TEST" to something like this:

   NET_XMPP2_TEST="test_me@your_xmpp_server.tld:secret_password"

Most tests will try to connect two accounts, so please take a server that allows two connections from the same IP.

If you also want to run the MUC tests (see AnyEvent::XMPP::Ext::MUC) you also need to setup the environment variable "NET_XMPP2_TEST_MUC" to contain the domain of a MUC service:

   NET_XMPP2_TEST_MUC="conference.your_xmpp_server.tld"

If you see some tests fail and want to know more about the protocol flow you can enable the protocol debugging output by setting "NET_XMPP2_TEST_DEBUG" to '1':

   NET_XMPP2_TEST_DEBUG=1

(NOTE: You will only see the output of this by running a single test)

If one of the tests takes longer than the preconfigured 20 seconds default timeout in your setup you can set "NET_XMPP2_TEST_TIMEOUT":

   NET_XMPP2_TEST_TIMEOUT=60  # for a 1 minute timeout

CLEANING UP
If the tests went wrong somewhere or you interrupted the tests you might want to delete the accounts from the server manually, then run:

   perl t/z_*_unregister.t

MANUAL TESTING
If you just want to run a single test yourself, just execute the register test before doing so:

   perl t/z_00_register.t

And then you could eg. run:

   perl t/z_03_iq_auth.t

METHODS

  new (%args)
Following arguments can be passed in %args:

AUTHOR
Robin Redeker, "<elmex at ta-sa.org>", JID: "<elmex at jabber.org>"

COPYRIGHT & LICENSE
Copyright 2007, 2008 Robin Redeker, all rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.